<?php
/*
Widget Name: SiteOrigin Multiple Media Repeater
Widget URI: https://siteorigin.com/docs/widgets-bundle/form-building/multiple-media-repeater/
*/

class SOWB_Multiple_Media_Repeater extends SiteOrigin_Widget {
    function __construct() {
        parent::__construct(
            'sowb-multiple-media-repeater',
            __( 'SiteOrigin Multiple Media Repeater', 'so-widgets-test' ),
            array(),
            array(),
            array(
                'example_multiple_media' => array(
                    'type' => 'multiple_media',
                    'label' => __( 'Example repeater multiple media', 'so-widgets-test' ),
                    'repeater' => array(
                        'field' => 'images', // The ID of the repeater form field.
                        'setting' => 'image', // The media form field inside of the repeater that'll be set when the user adds new images.
                    ),
                ),
                'images' => array(
                    'type' => 'repeater',
                    'label' => __( 'Images', 'so-widgets-test' ),
                    'item_name'  => __( 'Image', 'so-widgets-test' ),
                    'fields' => array(
                        'image' => array(
                            'type' => 'media',
                            'label' => __( 'Image', 'so-widgets-test' ),
                            'library' => 'image',
                            'fallback' => true,
                        ),
                    ),
                ),
            ),
            plugin_dir_path( __FILE__ )
        );
    }

}

siteorigin_widget_register( 'sowb-multiple-media-repeater', __FILE__, 'SOWB_Multiple_Media_Repeater' );
